This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 444984 - GPG support needs work
GPG support needs work
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2008-05-02 11:42 EDT by Bill Nottingham
Modified: 2014-03-16 23:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-03 09:40:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-05-02 11:42:42 EDT
Cloning this bug for points #1 and #2 below. #3 is fixed.

+++ This bug was initially created as a clone of Bug #444826 +++

Description of problem:

1) it shouldn't tell the user to restart the transaction. It should just restart it
2) when triggered from the 'review updates' screen, it hangs the update progress
thing, which needs to be manually dismissed
2) If you do right-click->Update System on the icon, the GPG key adder is never
triggered (and it isn't at all obvious how you would trigger it if you don't
know it's in the 'update review' dialog)

Version-Release number of selected component (if applicable):

PackageKit-0.1.12-8.20080425.fc9
gnome-packagekit-0.1.12-11.20080430.fc9

-- Additional comment from richard@hughsie.com on 2008-05-01 06:38 EST --
1) In master it does - in fact it handles the interaction much better - but the
change is very invasive
2) Yup
3) Yes - I could fix this for F9 if you wish, but it'll be the same bodge as the
others. Yell if you want me to do it.


-- Additional comment from notting@redhat.com on 2008-05-01 09:45 EST --
How invasive is invasive? As it's the first release we've shipped with PK, I'm
not concerned about the ABI. :)  If nothing else, it should probably queue a
refresh so it's not waiting for the next scheduled check to tell you that
updates are still available.

Is #2 fixable as well?
Comment 1 Bug Zapper 2008-05-14 06:31:38 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Richard Hughes 2008-06-03 09:40:09 EDT
These are all fixed in 0.2.2 which will be put into fedora updates testing
sometime soon. Cheers.

Note You need to log in before you can comment on or make changes to this bug.